zen::Xml: zen::XmlDoc Class Reference

| zen::Xml Simple C++ XML Processing

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
zen::XmlDoc Class Reference

The complete XML document. More...

`#include <dom.h>`

## Public Member Functions
| XmlDoc ()
| Default constructor setting up an empty XML document with a standard declaration: <?xml version="1.0" encoding="UTF-8" ?>
template<class String >
| XmlDoc (String rootName)
const XmlElement & | root () const
| Get a const reference to the document's root element.
XmlElement & | root ()
| Get a reference to the document's root element.
template<class String >
String | getVersionAs () const
| Get the version used in the XML declaration. More...
template<class String >
void | setVersion (const String &version)
| Set the version used in the XML declaration. More...
template<class String >
String | getEncodingAs () const
| Get the encoding used in the XML declaration. More...
template<class String >
void | setEncoding (const String &encoding)
| Set the encoding used in the XML declaration. More...
template<class String >
String | getStandaloneAs () const
| Get the standalone string used in the XML declaration. More...
template<class String >
void | setStandalone (const String &standalone)
| Set the standalone string used in the XML declaration. More...

## Detailed Description

The complete XML document.

## Constructor & Destructor Documentation

template<class String >

zen::XmlDoc::XmlDoc | ( | String | rootName | ) |

Template Parameters

  String | Arbitrary string-like type: e.g. std::string, wchar_t*, char[], wchar_t, wxString, MyStringClass, ...

Parameters

  rootName | The name of the XML document's root element.

## Member Function Documentation

template<class String >

String zen::XmlDoc::getEncodingAs | ( |  | ) | const

Get the encoding used in the XML declaration.

Template Parameters

  String | Arbitrary string class: e.g. std::string, std::wstring, wxString, MyStringClass, ...

template<class String >

String zen::XmlDoc::getStandaloneAs | ( |  | ) | const

Get the standalone string used in the XML declaration.

Template Parameters

  String | Arbitrary string class: e.g. std::string, std::wstring, wxString, MyStringClass, ...

template<class String >

String zen::XmlDoc::getVersionAs | ( |  | ) | const

Get the version used in the XML declaration.

Template Parameters

  String | Arbitrary string class: e.g. std::string, std::wstring, wxString, MyStringClass, ...

template<class String >

void zen::XmlDoc::setEncoding | ( | const String & | encoding | ) |

Set the encoding used in the XML declaration.

Template Parameters

  String | Arbitrary string-like type: e.g. std::string, wchar_t*, char[], wchar_t, wxString, MyStringClass, ...

template<class String >

void zen::XmlDoc::setStandalone | ( | const String & | standalone | ) |

Set the standalone string used in the XML declaration.

Template Parameters

  String | Arbitrary string-like type: e.g. std::string, wchar_t*, char[], wchar_t, wxString, MyStringClass, ...

template<class String >

void zen::XmlDoc::setVersion | ( | const String & | version | ) |

Set the version used in the XML declaration.

Template Parameters

  String | Arbitrary string-like type: e.g. std::string, wchar_t*, char[], wchar_t, wxString, MyStringClass, ...